#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-cffi
Version		:	v1.15.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Foreign Function Interface for Python to call C code
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://foss.heptapod.net/pypy/cffi

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	make
BuildRequires	:	python3
BuildRequires	:	libffi-devel

#-----------------------------------------------------------------------------
%description
Foreign Function Interface for Python, providing a
convenient and reliable way of calling existing C code
from Python. The interface is based on LuaJIT’s FFI.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%{python3_sitearch}/_%{sname}_backend.*.so
%{python3_sitelib}/%{sname}/*.h
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-*.egg-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
	
#%{__python}						\
#	setup.py					\
#	pytest						\

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	setup.py					\
	install						\
	--root %{buildroot}				\
	--skip-build					\
	--optimize=1					\

#-----------------------------------------------------------------------------
%changelog
